<FXLib>
  <Effect name="blank_event" />
  <Effect name="ship_ballistic_shield_s6" delay="0.005" attach="true">
    <Particle>
      <Direction>Normal</Direction>
      <Name minscale="3" maxscale="3" maxscaledist="1" ImpactDirOffset="-0.1">spaceships/surface_effects/Shields.Shields.impact_circle_dirNormal</Name>
    </Particle>
    <Particle>
      <Direction>Ricochet</Direction>
      <Name minscale="3" maxscale="3" maxscaledist="1" ImpactDirOffset="-0.1">spaceships/surface_effects/Shields.Shields.impact_ricochet</Name>
    </Particle>
    <Particle>
      <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/ammo_types/template_imp_ballistic.impacts.s6_impact</Name>
    </Particle>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactShipWeapon" trigger="Play_WPHI_Impact_Ballistic_Shield" />
  </Effect>
  <Effect name="ship_ballistic_default_s6" delay="0.005">
    <Particle>
      <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/ammo_types/template_imp_ballistic.impacts.s6_impact</Name>
    </Particle>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactShipWeapon" trigger="Play_WPHI_Impact_Ballistic_Default" />
  </Effect>
  <Effect name="ship_ballistic_concrete_s6" delay="0.005">
    <Particle>
      <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo/ballistic/gats_ballisticgatling_s2.gats_ballisticgatling_s2.imp_concrete_default</Name>
    </Particle>
    <RandEffect>
      <Particle />
      <Particle>
        <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo/ballistic/gats_ballisticgatling_s2.gats_ballisticgatling_s2.imp_concrete_tendrils_with_rocks</Name>
      </Particle>
      <Particle>
        <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo/ballistic/gats_ballisticgatling_s2.gats_ballisticgatling_s2.imp_concrete_sparks</Name>
      </Particle>
    </RandEffect>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactShipWeapon" trigger="Play_WPHI_Impact_Ballistic_Concrete" />
  </Effect>
  <Effect name="ship_ballistic_gravel_s6" delay="0.005">
    <Particle>
      <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo/ballistic/gats_ballisticgatling_s2.gats_ballisticgatling_s2.imp_gravel_default</Name>
    </Particle>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactShipWeapon" trigger="Play_WPHI_Impact_Ballistic_Gravel" />
  </Effect>
  <Effect name="ship_ballistic_ice_s6" delay="0.005">
    <Particle>
      <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/ammo_types/template_imp_ballistic.impacts.s6_impact</Name>
    </Particle>
    <Particle>
      <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/surface_types/template_imp_ice.ship_imp_ice_s2.imp_ice</Name>
    </Particle>
    <Particle>
      <Name minscale="3" maxscale="3" maxscaledist="1">Spaceships/Ammo_Templates/Surface_Types/decals.ship_impacts_decals.snow_ballistic_s2</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/surface_types/template_imp_ice.ship_imp_ice_s2.imp_ice_tendrils_with_snow</Name>
      </Particle>
      <Particle>
        <Name />
      </Particle>
      <Particle>
        <Name />
      </Particle>
    </RandEffect>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactShipWeapon" trigger="Play_WPHI_Impact_Ballistic_Ice" />
  </Effect>
  <Effect name="ship_ballistic_metal_dense_s6" delay="0.005">
    <Particle>
      <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/ammo_types/template_imp_ballistic.impacts.s6_impact</Name>
    </Particle>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactShipWeapon" trigger="Play_WPHI_Impact_Ballistic_Metal_Dense" />
  </Effect>
  <Effect name="ship_ballistic_metal_thin_s6" delay="0.005">
    <Particle>
      <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/ammo_types/template_imp_ballistic.impacts.s6_impact</Name>
    </Particle>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactShipWeapon" trigger="Play_WPHI_Impact_Ballistic_Metal_Thin" />
  </Effect>
  <Effect name="ship_ballistic_metal_hollow_s6" delay="0.005">
    <Particle>
      <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/ammo_types/template_imp_ballistic.impacts.s6_impact</Name>
    </Particle>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactShipWeapon" trigger="Play_WPHI_Impact_Ballistic_Metal_Hollow" />
  </Effect>
  <Effect name="ship_ballistic_rock_s6" delay="0.005">
    <Particle>
      <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/ammo_types/template_imp_ballistic.impacts.s6_impact</Name>
    </Particle>
    <Particle>
      <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/surface_types/template_imp_rock.template_imp_rock.imp_rock_s2_default</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/surface_types/template_imp_rock.template_imp_rock.imp_rock_s2_pebbles</Name>
      </Particle>
      <Particle>
        <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/surface_types/template_imp_rock.template_imp_rock.imp_rock_s2_streaks</Name>
      </Particle>
      <Particle>
        <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/surface_types/template_imp_rock.template_imp_rock.imp_rock_s2_streaks</Name>
      </Particle>
    </RandEffect>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactShipWeapon" trigger="Play_WPHI_Impact_Ballistic_Rock" />
  </Effect>
  <Effect name="ship_ballistic_sand_s6" delay="0.005">
    <Particle>
      <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/ammo_types/template_imp_ballistic.impacts.s6_impact</Name>
    </Particle>
    <Particle>
      <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/surface_types/template_imp_sand.template_imp_sand.imp_sand_s2_default</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name />
      </Particle>
      <Particle>
        <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/surface_types/template_imp_sand.template_imp_sand.imp_sand_s2_streaks</Name>
      </Particle>
      <Particle>
        <Name />
      </Particle>
    </RandEffect>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactShipWeapon" trigger="Play_WPHI_Impact_Ballistic_Sand" />
  </Effect>
  <Effect name="ship_ballistic_snow_s6" delay="0.005">
    <Particle>
      <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/ammo_types/template_imp_ballistic.impacts.s6_impact</Name>
    </Particle>
    <Particle>
      <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/surface_types/template_imp_snow.template_imp_snow.imp_snow_s2_default</Name>
    </Particle>
    <RandEffect>
      <Particle>
        <Name />
      </Particle>
      <Particle>
        <Name minscale="3" maxscale="3" maxscaledist="1">spaceships/ammo_templates/surface_types/template_imp_snow.template_imp_snow.imp_snow_s2_streaks</Name>
      </Particle>
      <Particle>
        <Name />
      </Particle>
    </RandEffect>
    <Audio minPlayTime="0.3" oneShotCategory="Audio.OneShotCategories.ImpactShipWeapon" trigger="Play_WPHI_Impact_Ballistic_Snow" />
  </Effect>
</FXLib>